import datetime;

class Logger:
  def __init__(self, name = "Logger", debug = False) -> None:
    self.isDebug = debug
    self.name = name

  def log(self, message):
    ct = datetime.datetime.now()
    print(ct.strftime("%m/%d/%Y-%H:%M:%S:"), self.name, ">>", message)

  def debug(self, message):
    if (self.isDebug is True):
      ct = datetime.datetime.now()
      print(ct.strftime("%m/%d/%Y-%H:%M:%S:"), self.name, ">>", message)